Bug 3530 - [PENDING] add a PKG_CHECK_EXISTS() autoconf macro
[PENDING] add a PKG_CHECK_EXISTS() autoconf macro
Status: RESOLVED FIXED
Product: pkg-config
Classification: Unclassified
Component: src
unspecified
x86 (IA32) Linux (All)
: high normal
Assigned To: Tollef Fog Heen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-13 03:46 UTC by James Henstridge
Modified: 2005-06-26 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Henstridge 2005-06-13 03:46:53 UTC
The following patch adds a PKG_CHECK_EXISTS() macro.  A fair number of Gnome
packages do things like this:
  PKG_CHECK_MODULES(NOTUSED, somepackage, somepackage_exists=yes,
somepackage_exists=no)

And don't use the resulting NOTUSED_CFLAGS / NOTUSED_LIBS environment variables.

The PKG_CHECK_EXISTS() macro only does the --exists check, without setting
variables or exiting if there is no ACTION-IF-NOT-FOUND and the check fails.  It
also logs the check to config.log.  I also modified the _PKG_CONFIG() macro to
use PKG_CHECK_EXISTS().
Comment 1 James Henstridge 2005-06-13 03:48:09 UTC
Created attachment 2885 [details] [review]
check version requirement plus other minor fixes
Comment 2 Tollef Fog Heen 2005-06-26 15:51:38 UTC
2005-06-27  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Add PKG_CHECK_EXISTS to check if a module exists.
	Thanks to James Henstridge for the patch.
Comment 3 Tollef Fog Heen 2005-06-27 14:00:22 UTC
pkg-config 0.18 has now been released with a fix for this bug.